Skip to main content
`Ctrl`+`K`

# numpy.ma.ones

ma.ones(shape, dtype=None, order='C', *, device=None, like=None, fill_value=None, hardmask=False)

  Return a new array of given shape and type, filled with ones.

  Parameters:
    shape int or sequence of ints

      Shape of the new array, e.g., `(2, 3)` or `2`.

    dtype data-type, optional

      The desired data-type for the array, e.g., `numpy.int8`. Default is `numpy.float64`.

    order{‘C’, ‘F’}, optional, default: C

      Whether to store multi-dimensional data in row-major (C-style) or column-major (Fortran-style) order in memory.

    device str, optional

      The device on which to place the created array. Default: None. For Array-API interoperability only, so must be `"cpu"` if passed.

      Added in version 2.0.0.

    like array_like, optional

      > Reference object to allow the creation of arrays which are not NumPy arrays. If an array-like passed in as `like` supports the `__array_function__` protocol, the result will be defined by it. In this case, it ensures the creation of an array object compatible with that passed in via this argument.

      Added in version 1.20.0.

  Returns:
    out MaskedArray

      Array of ones with the given shape, dtype, and order.

  See also

  `ones_like`

    Return an array of ones with shape and type of input.

  `empty`

    Return a new uninitialized array.

  `zeros`

    Return a new array setting values to zero.

  `full`

    Return a new array of given shape filled with value.

  Examples

      >>> import numpy as np
      >>> np.ones(5)
      array([1., 1., 1., 1., 1.])

      >>> np.ones((5,), dtype=int)
      array([1, 1, 1, 1, 1])

      >>> np.ones((2, 1))
      array([[1.],
             [1.]])

      >>> s = (2,2)
      >>> np.ones(s)
      array([[1.,  1.],
             [1.,  1.]])